
%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%define _localdir /usr/local

Name: lexmark-drivers
Summary: Lexmark printing drivers fox X and Z series
Version:   1.0
Release:   %mkrel 1
License:   Freeware
Group:     System/Management
URL:       http://downloads.lexmark.com/
Source0:   lexmark.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  liblexmark1 = %{version}
#BuildRequires: make autoconf automake gcc gcc-c++

%description
Lexmark Printer Driver for LINUX(R) Systems.
Contact Technical Support Center for support information on this file.
These drivers can be downloaded from this web site free of charge.
However, there will be a fee to cover materials and handling if
requested from the Technical Support Center.

The drivers listed works with these printers (but may works with others too):
Lexmark 5700 (black and white) Lexmark X1100 Lexmark X1110
Lexmark X1130 Lexmark X1140 Lexmark X1150 Lexmark X1180
Lexmark X1185 Lexmark X1190 Lexmark X1250 Lexmark Z513 Lexmark Z515
Lexmark Z715 Lexmark Z55 Lexmark Z615 Lexmark Z705 Lexmark Z605
Lexmark Z600 Lexmark Z645 Lexmark Z65 Lexmark P3150 Lexmark Z33
Lexmark Z35 Lexmark Z25 Dell A920

%package -n liblexmark1
Summary:        Lexmark printing drivers
Group:          Development/Libraries/C and C++

%description -n liblexmark1
This package contains the shared libraries for %{name}.

Lexmark Printer Driver for LINUX(R) Systems.
Contact Technical Support Center for support information on this file.
These drivers can be downloaded from this web site free of charge.
However, there will be a fee to cover materials and handling if
requested from the Technical Support Center

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %name = %version


%description devel
This package contains files to develop applications using 
%{name} libraries.

%prep
%setup -q -n lexmark

%install
mkdir -p $RPM_BUILD_ROOT/usr
%__mv usr $RPM_BUILD_ROOT/

%post -n liblexmark1 -p /sbin/ldconfig

%postun -n liblexmark1 -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %{_libdir}/cups/
%dir %{_libdir}/cups/backend
%dir %{_libdir}/cups/filter
%{_libdir}/cups/backend/z600
%{_libdir}/cups/filter/rastertoz600
%dir %{_localdir}/z600llpddk/
%dir %{_localdir}/z600llpddk/utility/
%{_localdir}/z600llpddk/utility/*.lut
%{_localdir}/z600llpddk/utility/*.out
%dir %{_datadir}/cups/
%dir %{_datadir}/cups/model/
%{_datadir}/cups/model/Lexmark-Z600-lxz600cj-cups.ppd.gz

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/lexmark/
%{_includedir}/lexmark/*.h
%{_libdir}/*.*a

%files -n liblexmark1
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/*.so.*

%changelog
* Fri Oct 24 2008 Maurizio Dal Magro <dalmagro@scarlet.be> 2009.0mcnl
- Rebuild Mandriva 2009.0

* Thu Apr 03 2008 Slick50 <linuxgator.org> 1.0-1pclos2007
- Initial build

